package com.yeejoin.amos.boot.module.app.api.annotation;

import java.util.HashMap;
import java.util.Map;

public class InspectResultConverter implements Converter<String> {

    private static final Map<String, String> dictionary = new HashMap<>();

    static {
        dictionary.put("6040", "合格");
        dictionary.put("6041", "不合格");
        dictionary.put("6042", "复检合格");
        dictionary.put("6043", "复检不合格");
        dictionary.put("6044", "其他");
        dictionary.put("6045", "整改后合格");
        dictionary.put("6046", "符合");
        dictionary.put("6047", "不符合");
        dictionary.put("6048", "符合要求");
        dictionary.put("6049", "基本符合要求");
        dictionary.put("6050", "不符合要求");
        dictionary.put("6051", "允许使用");
    }

    @Override
    public String convertToLabelData(String key) {
        return dictionary.getOrDefault(key, key);
    }
}
